|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QPageSetupDialog Class Reference
[QtGui module]

The QPageSetupDialog class provides a configuration dialog for the page-related options on a printer. More...

     #include <QPageSetupDialog>

Inherits QDialog.

- List of all members, including inherited members

### Public Functions

- QPageSetupDialog ( QPrinter * printer, QWidget * parent = 0 )
- QPrinter * printer ()

- 5 public functions inherited from QDialog
- 201 public functions inherited from QWidget
- 29 public functions inherited from QObject
- 12 public functions inherited from QPaintDevice

### Additional Inherited Members

- 2 properties inherited from QDialog
- 56 properties inherited from QWidget
- 1 property inherited from QObject
- 4 public slots inherited from QDialog
- 19 public slots inherited from QWidget
- 1 public slot inherited from QObject
- 3 signals inherited from QDialog
- 1 signal inherited from QWidget
- 1 signal inherited from QObject
- 4 static public members inherited from QWidget
- 5 static public members inherited from QObject
- 38 protected functions inherited from QWidget
- 7 protected functions inherited from QObject
- 1 protected function inherited from QPaintDevice
- 1 protected slot inherited from QWidget

## Detailed Description

The QPageSetupDialog class provides a configuration dialog for the page-related options on a printer.

On Windows and Mac OS X the page setup dialog is implemented using the native page setup dialogs.

See also QPrinter and QPrintDialog.

## Member Function Documentation

### QPageSetupDialog::QPageSetupDialog ( QPrinter * printer, QWidget * parent = 0 )

Constructs a page setup dialog that configures printer with parent as the parent widget.

### QPrinter * QPageSetupDialog::printer ()

Returns the printer that was passed to the QPageSetupDialog constructor.